#
# spec file for package autorandr
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           autorandr
Version:        1.15.0.1709469470
Release:        2.1
Summary:        Auto-load and detect display hardware using xrandr
License:        GPL-3.0-or-later
URL:            https://github.com/phillipberndt/autorandr
Source0:        %{name}-%{version}.tar.bz2
Source10:       autorandr-rpmlintrc
BuildRequires:  desktop-file-utils
BuildRequires:  pkg-config
BuildRequires:  python-rpm-macros
Requires:       libinput-tools
BuildArch:      noarch

%description
Auto-detect the connect display hardware and load the appropriate X11 setup using xrandr

%package bash-completion
Summary:        Bash Completion for %{name}
Group:          System/Shells
Requires:       %{name} = %{version}
Supplements:    (%{name} and bash-completion)
Requires:       bash-completion
BuildArch:      noarch

%description bash-completion
Bash command-line completion support for %{name}.

%prep
%autosetup

%build

%install

%make_install \
  TARGETS="autorandr systemd udev autostart_config bash_completion" \
  DESTDIR="%{buildroot}" \
  SYSTEMD_UNIT_DIR="%{_unitdir}" \
  UDEV_RULES_DIR="%{_udevrulesdir}" \
  BASH_COMPLETIONS_DIR="%{_datadir}/bash-completion"

%python3_fix_shebang

%pre
%service_add_pre %{name}.service %{name}-lid-listener.service

%post
%service_add_post %{name}.service %{name}-lid-listener.service

%preun
%service_del_preun %{name}.service %{name}-lid-listener.service

%postun
%service_del_postun %{name}.service %{name}-lid-listener.service

%files
%license gpl-3.0.txt
%doc README.md
%{_bindir}/%{name}
%{_sysconfdir}/xdg/autostart/autorandr*.desktop
%{_udevrulesdir}/40-monitor-hotplug.rules
%{_unitdir}/%{name}.service
%{_unitdir}/%{name}-lid-listener.service

%files bash-completion
%{_datadir}/bash-completion/*

%changelog
* Fri May 16 2025 Dominique Leuenberger <dimstar@opensuse.org>
- Fix changelog format: the line immediately after the dashed line
  is supposed to be the header with date/author info.
* Tue May 28 2024 Eric Renfro <erenfro@linux-help.org>
- Removed obsoleted Group.
* Tue May 28 2024 Eric Renfro <erenfro@linux-help.org>
- Added dependancy libinput-utils for autorandr-lid-switch service
* Tue May 28 2024 Joshua Smith <smolsheep@opensuse.org>
- Update specfile to openSUSE standards.
* Sat May 25 2024 Eric Renfro <erenfro@linux-help.org>
- Branched version
- Update to version 1.15.0.1709469470:
  * Release autorandr 1.15
  * Fix: Skip profiles without outputs
  * Fix const warnings
  * Do not check for mask in evt->response_type
  * add compiled autorandr-launcher binary to .gitignore
  * fix: remove literal backslashes in edid regex
  * Added missing r literal in OUTPUT_REGEX
  * Add missing r literal to regex strings
  * fish completion: fix typo in folder name
* Wed Dec  7 2016 phillip.berndt@googlemail.com
- initial version
